import permision from "@/js_sdk/wa-permission/permission.js"
export default function check_permission(android_name, ios_name, text) {
	return new Promise((resolve, reject) => {
		let env = uni.getSystemInfoSync().platform
		if (env === 'android') {
			permision.requestAndroidPermission(android_name).then((e) => {
				if (e === -1 || e === 0) {
					uni.showModal({
						title: '提示',
						content: text + '权限已被禁止,是否前往开启,否则将影响使用',
						success: function(res) {
							console.log("===========android权限检测222=============", res)
							if (res.confirm) {
								permision.gotoAppPermissionSetting()
							} else if (res.cancel) {
								console.log('用户点击取消');
							}
						},
					});
				} else if (e === 1) {
					console.log('权限已开启')
					resolve()
				} else {
					uni.showToast({
						title: '授权返回值错误',
						icon: 'none',
					})
				}
			}).catch((err) => {
				uni.showToast({
					title: '拉起获取定位权限失败',
					icon: 'none',
				})
			})
		} else if (env === 'ios') {

			if (permision.judgeIosPermission(ios_name)) {
				console.log('有权限');
				resolve()
			} else {
				uni.showModal({
					title: '提示',
					content: text + '权限已被禁止,是否前往开启,否则将影响使用',
					success: function(res) {
						console.log("===========android权限检测222=============", res)
						if (res.confirm) {
							permision.gotoAppPermissionSetting()
						} else if (res.cancel) {
							console.log('用户点击取消');

						}
					},
				});

			}
		}
	})

}
